LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Data Structures | Macros | Functions | Variables
ldvgrab.h File Reference
`#include <libraw1394/raw1394.h>`
`#include <libavc1394/rom1394.h>`
`#include <libavc1394/avc1394.h>`
`#include <libavc1394/avc1394_vcr.h>`

Go to the source code of this file.

## Data Structures
struct | s_cam
struct | _dvgrabw

## Macros
#define | CAM_FORMAT_DV 0
#define | CAM_FORMAT_HDV 1

## Functions
boolean | rec (s_cam *cam)
void | camplay (s_cam *cam)
void | camstop (s_cam *cam)
void | camrew (s_cam *cam)
void | camff (s_cam *cam)
void | campause (s_cam *cam)
void | cameject (s_cam *cam)
void | close_raw1394 (raw1394handle_t handle)
char * | find_free_camfile (int format)
void | on_open_fw_activate (LiVESMenuItem *menuitem, livespointer format)

## Variables
struct _dvgrabw * | dvgrabw

## Macro Definition Documentation

#define CAM_FORMAT_DV 0

#define CAM_FORMAT_HDV 1

## Function Documentation

void cameject | ( | s_cam * | cam | ) |

void camff | ( | s_cam * | cam | ) |

void campause | ( | s_cam * | cam | ) |

void camplay | ( | s_cam * | cam | ) |

void camrew | ( | s_cam * | cam | ) |

void camstop | ( | s_cam * | cam | ) |

void close_raw1394 | ( | raw1394handle_t | handle | ) |

char* find_free_camfile | ( | int | format | ) |

void on_open_fw_activate | ( | LiVESMenuItem * | menuitem,
|  | livespointer | format
| ) |  |

boolean rec | ( | s_cam * | cam | ) |

## Variable Documentation

struct _dvgrabw* dvgrabw